
QGIS Application - Bug report #13931

QGIS 2.12.1 - Filter legend by map content has new bug

2015-12-01 04:02 PM - Chris Paul

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.12.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 21949

Description

"Filter legend by map content" has always worked fine for me, until v2.12.0. 

Now for some reason a strange glitch occurs with the legend filter for my 'BC Geology layer', which has always worked fine before.

The legend now gets filtered based on the styles present on the map, rather than the features themselves.

For instance, if the map composer only displays two features from the 'BC Geology' layer, instead of only showing THOSE two features in

the legend, it shows ALL the features present in the entire attribute table which have the same STYLE as the features showing in map

composer. 

For example, I have the shapefile styled based on rock type. So if my map composer is showing a single 'feldspar porphyry' feature and a

single 'granite' feature from that shape, the legend will display all the feldspar porphyrys and granites in the entire province of BC,

because they have all been styled the same.

Related issues:

Duplicated by QGIS Application - Bug report # 14131: QGIS 2.12.1 - Filter leg... Closed 2015-12-01

History

#1 - 2015-12-12 06:55 AM - Harry Clarke

I have a similar problem that the Filter Legend by map content is not working correctly. In one layer which has one symbol displayed (point data), when I

filter, it removes the title and symbol from the legend.

on another layer which I based on polygons rather than points, the filter seems to work. However, if you forget to refresh the map, it relies on what was

previously cashed rather than what should be displayed.

#2 - 2016-01-24 06:07 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #14131 (please don't file bugs multiple times... it doesn't help them get addressed any faster)

#3 - 2016-01-25 12:30 PM - Sebastian Dietrich

Nyall Dawson wrote:

please don't file bugs multiple times...

definitely true
it doesn't help them get addressed any faster

Unfortunately not true in this case. Two days after the OP filed the duplicate #14131 he got the attention of a developer. Something that didn't happen to

this ticket for over a month :-(
